This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509121 - Review Request: python-kaa-display - Python API providing Low level support for various displays
Review Request: python-kaa-display - Python API providing Low level support f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 09:14 EDT by Nicolas Chauvet (kwizart)
Modified: 2009-07-15 08:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 08:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-07-01 09:14:40 EDT
Spec URL: http://kwizart.fedorapeople.org/SPECS/python-kaa-display.spec
SRPM URL: http://kwizart.fedorapeople.org/SRPMS/python-kaa-display-0.1.0-1.fc11.src.rpm
Description: Python API providing Low level support for various displays

rpmlint is clean on installed file!

Patch0 is a backport of what is currently in upstream svn
Patch1 is a hack that seems needed when no X11 server is active on the buildhost.
Comment 1 Jason Tibbitts 2009-07-10 18:24:26 EDT
Indeed, this is a simple package which build fine and elicits no complaints from rpmlint.

I checked the tests; none of them seem to be runnable.  It might be nice to add a comment about that.

* source files match upstream.  sha256sum:                       
   72cfe231feae7b860b9e00fb2d83e1cb54f0d38719267a4701818c4c8aa6e922  
   kaa-display-0.1.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   _FBmodule.so()(64bit)
   _SDLmodule.so()(64bit)
   _X11module.so()(64bit)
   python-kaa-display = 0.1.0-1.fc12
   python-kaa-display(x86-64) = 0.1.0-1.fc12
  =
   libImlib2.so.1()(64bit)
   libSDL-1.2.so.0()(64bit)
   libX11.so.6()(64bit)
   libXcomposite.so.1()(64bit)
   libXext.so.6()(64bit)
   libfreetype.so.6()(64bit)
   libpython2.6.so.1.0()(64bit)
   python(abi) = 2.6

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Nicolas Chauvet (kwizart) 2009-07-11 03:44:17 EDT
Thx for the review. About usability test: this package is part of the python-kaa framework which is made for the freevo multimedia center. As freevo will requires at least xine-ui for multimedia playback I will work on freevo for fedora ASAP.
Comment 3 Nicolas Chauvet (kwizart) 2009-07-11 03:46:09 EDT
New Package CVS Request
=======================
Package Name: python-kaa-display
Short Description: Python API providing Low level support for various displays
Owners: kwizart
Branches: devel F-11 F-10 EL-5
Comment 4 Jason Tibbitts 2009-07-11 03:49:11 EDT
CVS done.
Comment 5 Nicolas Chauvet (kwizart) 2009-07-15 08:11:19 EDT
package imported

Note You need to log in before you can comment on or make changes to this bug.